Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.constructor
Class CustomClassLoaderConstructor

    java.lang.Object
      org.yaml.snakeyaml.constructor.BaseConstructor
          org.yaml.snakeyaml.constructor.SafeConstructor
              org.yaml.snakeyaml.constructor.Constructor
                  org.yaml.snakeyaml.constructor.CustomClassLoaderConstructor

    public class CustomClassLoaderConstructor

extends Constructor

Construct instances with a custom Class Loader.

Nested Class Summary

Nested classes/interfaces inherited from class org.yaml.snakeyaml.constructor.Constructor
`Constructor.ConstructMapping, Constructor.ConstructScalar, Constructor.ConstructSequence, Constructor.ConstructYamlObject`

Nested classes/interfaces inherited from class org.yaml.snakeyaml.constructor.SafeConstructor
`SafeConstructor.ConstructUndefined, SafeConstructor.ConstructYamlBinary, SafeConstructor.ConstructYamlBool, SafeConstructor.ConstructYamlFloat, SafeConstructor.ConstructYamlInt, SafeConstructor.ConstructYamlMap, SafeConstructor.ConstructYamlNull, SafeConstructor.ConstructYamlOmap, SafeConstructor.ConstructYamlPairs, SafeConstructor.ConstructYamlSeq, SafeConstructor.ConstructYamlSet, SafeConstructor.ConstructYamlStr, SafeConstructor.ConstructYamlTimestamp`

Field Summary

Fields inherited from class org.yaml.snakeyaml.constructor.SafeConstructor
`undefinedConstructor`

Fields inherited from class org.yaml.snakeyaml.constructor.BaseConstructor
`rootTag, yamlClassConstructors, yamlConstructors, yamlMultiConstructors`

Constructor Summary
`CustomClassLoaderConstructor(Class<? extends Object> theRoot, ClassLoader theLoader)`
`CustomClassLoaderConstructor(ClassLoader cLoader)`

Method Summary
`protected Class<?>` | `getClassForName(String name)`

Methods inherited from class org.yaml.snakeyaml.constructor.Constructor
`addTypeDescription, getClassForNode`

Methods inherited from class org.yaml.snakeyaml.constructor.SafeConstructor
`constructMapping2ndStep, constructSet2ndStep, flattenMapping`

Methods inherited from class org.yaml.snakeyaml.constructor.BaseConstructor
`checkData, constructArray, constructArrayStep2, constructMapping, constructObject, constructScalar, constructSequence, constructSequenceStep2, constructSet, constructSet, createArray, createDefaultList, createDefaultMap, createDefaultSet, createDefaultSet, getConstructor, getData, getPropertyUtils, getSingleData, isExplicitPropertyUtils, setComposer, setPropertyUtils`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomClassLoaderConstructor

    public CustomClassLoaderConstructor(ClassLoader cLoader)

### CustomClassLoaderConstructor

    public CustomClassLoaderConstructor(Class<? extends Object> theRoot,
                                        ClassLoader theLoader)

Method Detail

### getClassForName

    protected Class<?> getClassForName(String name)
                                throws ClassNotFoundException

  Overrides:
    `getClassForName` in class `Constructor`
  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.